local icons = {{
    icon = "__base__/graphics/icons/wooden-chest.png",
    icon_size = 64,
    icon_mipmaps = 4
}}
local picture = {
    layers =
    {
      {
        filename = "__base__/graphics/entity/wooden-chest/wooden-chest.png",
        priority = "extra-high",
        width = 32,
        height = 36,
        shift = util.by_pixel(0.5, -2),
        hr_version =
        {
          filename = "__base__/graphics/entity/wooden-chest/hr-wooden-chest.png",
          priority = "extra-high",
          width = 62,
          height = 72,
          shift = util.by_pixel(0.5, -2),
          scale = 0.5
        }
      },
      {
        filename = "__base__/graphics/entity/wooden-chest/wooden-chest-shadow.png",
        priority = "extra-high",
        width = 52,
        height = 20,
        shift = util.by_pixel(10, 6.5),
        draw_as_shadow = true,
        hr_version =
        {
          filename = "__base__/graphics/entity/wooden-chest/hr-wooden-chest-shadow.png",
          priority = "extra-high",
          width = 104,
          height = 40,
          shift = util.by_pixel(10, 6.5),
          draw_as_shadow = true,
          scale = 0.5
        }
      }
    }
}
local energy_source = {
    type = 'electric',
    usage_priority = 'primary-output'
}
data:extend{
    {
        name = 'draw-below-entity-animation',
        type = 'electric-energy-interface',
        render_layer = 'building-smoke',
        energy_source = energy_source,
        icons = icons,
        animations = picture
    },
    {
        name = 'draw-above-entity-animation',
        type = 'electric-energy-interface',
        render_layer = 'entity-info-icon',
        energy_source = energy_source,
        icons = icons,
        animations = picture
    },
    {
        name = 'draw-below-entity-picture',
        type = 'electric-energy-interface',
        render_layer = 'building-smoke',
        energy_source = energy_source,
        icons = icons,
        picture = picture
    },
    {
        name = 'draw-above-entity-picture',
        type = 'electric-energy-interface',
        render_layer = 'entity-info-icon',
        energy_source = energy_source,
        icons = icons,
        picture = picture
    }
}